Bug 817436 - (bonesi) Review Request: bonesi - The DDoS Botnet Simulator
Review Request: bonesi - The DDoS Botnet Simulator
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-SECLAB
  Show dependency treegraph
 
Reported: 2012-04-29 22:35 EDT by Mathieu Bridon
Modified: 2012-05-07 05:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-07 05:01:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mail: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mathieu Bridon 2012-04-29 22:35:56 EDT
Spec URL: http://bochecha.fedorapeople.org/packages/bonesi.spec
SRPM URL: http://bochecha.fedorapeople.org/packages/bonesi-0.2.0-1.fc17.src.rpm
Description:
BoNeSi, the DDoS Botnet Simulator is a Tool to simulate Botnet Traffic in a
test bed environment on the wire. It is designed to study the effect of DDoS
attacks.


$ rpmlint ./results_bonesi/0.2.0/1.fc17/bonesi-*
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint bonesi.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 1 Mathieu Bridon 2012-04-29 22:43:35 EDT
Blocking FE-SECLAB, since this could be of interest for the Security Lab spin.
Comment 2 Fabian Affolter 2012-04-30 17:30:44 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.

- Using macros in the URL is not very handy for copy-and-paste.
- As far as I know is it not needed to mark man pages as %doc.
- Include README and License in %doc
- Consider to add the example file 50k-bots, browserlist.txt, and urllist.txt
Comment 3 Mathieu Bridon 2012-05-04 05:06:58 EDT
(In reply to comment #2)
> - Using macros in the URL is not very handy for copy-and-paste.

I don't want to change the Source0 URL
$ spectool -S bonesi.spec 
Source0: https://bonesi.googlecode.com/files/bonesi-0.2.0.tar.gz

> - As far as I know is it not needed to mark man pages as %doc.

Right, I keep forgetting about this, thanks.

> - Include README and License in %doc

Oops, no idea how I missed that, good catch!

> - Consider to add the example file 50k-bots, browserlist.txt, and urllist.txt

Good idea.


Spec URL: http://bochecha.fedorapeople.org/packages/bonesi.spec
SRPM URL: http://bochecha.fedorapeople.org/packages/bonesi-0.2.0-2.fc17.src.rpm


$ rpmlint bonesi*.{spec,rpm}
3 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 4 Mathieu Bridon 2012-05-04 05:10:36 EDT
(In reply to comment #3)
> (In reply to comment #2)
> > - Using macros in the URL is not very handy for copy-and-paste.
> 
> I don't want to change the Source0 URL

I sent to early, I hadn't finished my sentence...

What I meant is:

I don't want to change it every time there is an update.

Plus, you can use spectool for that:
> $ spectool -S bonesi.spec 
> Source0: https://bonesi.googlecode.com/files/bonesi-0.2.0.tar.gz

----

Sorry if that sounded harsh, it was only missing a few words. :)
Comment 5 Fabian Affolter 2012-05-04 08:51:20 EDT
I'm totally fine with Source0 and macros there. I was taking about the URL to the projects website.

I see no further blocker, package APPROVED.
Comment 6 Mathieu Bridon 2012-05-05 01:30:04 EDT
(In reply to comment #5)
> I'm totally fine with Source0 and macros there. I was taking about the URL to
> the projects website.

Oh, that one!

Maybe you're right, yeah. I don't have any preference on this one, so if you think it might annoy some people, then I'll just change it as you suggest before I import the package.

> I see no further blocker, package APPROVED.

Thanks for the review!

New Package SCM Request
=======================
Package Name: bonesi
Short Description: The DDoS Botnet Simulator
Owners: bochecha
Branches: f17
InitialCC:
Comment 7 Jon Ciesla 2012-05-06 17:02:59 EDT
Git done (by process-git-requests).
Comment 8 Mathieu Bridon 2012-05-07 05:01:00 EDT
Thanks for the VCS Jon.

Package built in all branches, closing the bug.

Note You need to log in before you can comment on or make changes to this bug.